libpagemaker::PMDCharProperties Struct Reference documentation

libpagemaker::PMDCharProperties Struct Reference

`#include <PMDTypes.h>`

## Public Member Functions
| PMDCharProperties ()

## Public Attributes
uint16_t | m_length
uint16_t | m_fontFace
uint16_t | m_fontSize
uint16_t | m_fontColor
bool | m_bold
bool | m_italic
bool | m_underline
bool | m_outline
bool | m_shadow
bool | m_strike
bool | m_super
bool | m_sub
bool | m_smallCaps
bool | m_allCaps
int16_t | m_kerning
uint16_t | m_superSubSize
uint16_t | m_superPos
uint16_t | m_subPos
uint16_t | m_tint

## Constructor & Destructor Documentation

## ◆ PMDCharProperties()

libpagemaker::PMDCharProperties::PMDCharProperties | ( |  | ) |

## Member Data Documentation

## ◆ m_allCaps

bool libpagemaker::PMDCharProperties::m_allCaps

Referenced by PMDCharProperties().

## ◆ m_bold

bool libpagemaker::PMDCharProperties::m_bold

Referenced by PMDCharProperties().

## ◆ m_fontColor

uint16_t libpagemaker::PMDCharProperties::m_fontColor

Referenced by PMDCharProperties().

## ◆ m_fontFace

uint16_t libpagemaker::PMDCharProperties::m_fontFace

Referenced by PMDCharProperties().

## ◆ m_fontSize

uint16_t libpagemaker::PMDCharProperties::m_fontSize

Referenced by PMDCharProperties().

## ◆ m_italic

bool libpagemaker::PMDCharProperties::m_italic

Referenced by PMDCharProperties().

## ◆ m_kerning

int16_t libpagemaker::PMDCharProperties::m_kerning

Referenced by PMDCharProperties().

## ◆ m_length

uint16_t libpagemaker::PMDCharProperties::m_length

Referenced by PMDCharProperties().

## ◆ m_outline

bool libpagemaker::PMDCharProperties::m_outline

Referenced by PMDCharProperties().

## ◆ m_shadow

bool libpagemaker::PMDCharProperties::m_shadow

Referenced by PMDCharProperties().

## ◆ m_smallCaps

bool libpagemaker::PMDCharProperties::m_smallCaps

Referenced by PMDCharProperties().

## ◆ m_strike

bool libpagemaker::PMDCharProperties::m_strike

Referenced by PMDCharProperties().

## ◆ m_sub

bool libpagemaker::PMDCharProperties::m_sub

Referenced by PMDCharProperties().

## ◆ m_subPos

uint16_t libpagemaker::PMDCharProperties::m_subPos

Referenced by PMDCharProperties().

## ◆ m_super

bool libpagemaker::PMDCharProperties::m_super

Referenced by PMDCharProperties().

## ◆ m_superPos

uint16_t libpagemaker::PMDCharProperties::m_superPos

Referenced by PMDCharProperties().

## ◆ m_superSubSize

uint16_t libpagemaker::PMDCharProperties::m_superSubSize

Referenced by PMDCharProperties().

## ◆ m_tint

uint16_t libpagemaker::PMDCharProperties::m_tint

Referenced by PMDCharProperties().

## ◆ m_underline

bool libpagemaker::PMDCharProperties::m_underline

Referenced by PMDCharProperties().

The documentation for this struct was generated from the following files:

- PMDTypes.h
- PMDTypes.cpp